# ImportRuleSet

Import-Regelwerke

## GET /cmn/data-import/rule-sets/{id}

> Find an existing Resource by identifier

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"ImportRuleSet","description":"Import-Regelwerke"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/cmn/data-import/rule-sets/{id}":{"get":{"tags":["ImportRuleSet"],"summary":"Find an existing Resource by identifier","operationId":"getById_142","parameters":[{"name":"id","in":"path","description":"an identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"successful operation","content":{"*/*":{"schema":{"$ref":"#/components/schemas/common-data_import-ImportMappingRuleSet"}}}},"404":{"description":"Resource with given ID was not found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"common-data_import-ImportMappingRuleSet":{"description":"Regelsatz für den Import-Vorgang","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"mode":{"type":"string","description":"Modus","enum":["SCRIPT","IMPORT","EXPORT"]},"label":{"type":"string","description":"Eindeutiges Label"},"root":{"type":"string","description":"Bei JSON- und XML-Import: Ab welchem Pfad beginnen die Import-Daten?"},"rules":{"type":"array","description":"Mapping-Regeln","items":{"$ref":"#/components/schemas/common-data_import-ImportMappingRule"}},"importModuleKey":{"type":"string","description":"Für welchen Import gilt dieser Regelsatz"},"dataFrom":{"type":"integer","format":"int64","description":"Index des ersten Datensatzes (1-basiert) - alle vorherigen werden ignoriert"},"dataTo":{"type":"integer","format":"int64","description":"Index des letzten Datensatzes (1-basiert) - alle danach werden ignoriert"},"headerIndex":{"type":"integer","format":"int64","description":"Falls vorhanden: Index der Kopfzeile (1-basiert)"},"columnSeparator":{"type":"string","description":"Nur für CSV: Trennzeichen innerhalb einer Zeile"},"charSet":{"type":"string","description":"Für CSV & JSON: Verwendeter Zeichensatz","enum":["UTF_8","ASCII","LATIN_1","AUTO_DETECT"]},"quotingChar":{"type":"string","description":"Nur für CSV: Zeichen um ein Textfeld zu quoten (i.d.R. ' oder \")"},"targetFieldRules":{"type":"array","description":"Gibt an, wie mit Zielfeldern und Unterobjekten umgegangen werden soll.","items":{"$ref":"#/components/schemas/common-data_import-TargetFieldRule"}},"createRulesForEavGroup":{"type":"string","description":"Gibt an, dass für eine Eav-Gruppe bei der Ausführung Regeln erzeugt werden sollen."},"defaultDateFormatDirective":{"$ref":"#/components/schemas/common-data_import-FormatDirective"},"defaultDateTimeFormatDirective":{"$ref":"#/components/schemas/common-data_import-FormatDirective"},"defaultNumberFormatDirective":{"$ref":"#/components/schemas/common-data_import-FormatDirective"},"defaultBooleanFormatDirective":{"$ref":"#/components/schemas/common-data_import-FormatDirective"},"script":{"type":"string","description":"Falls Mode == SCRIPT: auszuführendes Skript. Nur Skript oder Skript-Modul darf gesetzt sein"},"scriptModuleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"parameters":{"type":"array","description":"Parameter zum Skript","items":{"$ref":"#/components/schemas/common-data_import-ImportMappingRuleSetParameter"}},"advancedUi":{"type":"boolean","default":false,"description":"Erweiterte Darstellung im UI verwenden?"},"ignoreEmptyData":{"type":"boolean","default":false,"description":"Bei JSON-Import: Leere Datenmenge ignorieren?"},"exportSetting":{"$ref":"#/components/schemas/common-data_import-ExportSetting"},"suppressWebhooks":{"type":"boolean","default":false,"description":"Sollen Webhooks bei Ausführung deaktiviert werden?"},"suppressWorkflows":{"type":"boolean","default":false,"description":"Sollen Workflows bei Ausführung deaktiviert werden?"}},"required":["mode"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"common-data_import-ImportMappingRule":{"description":"Mapping-Regeln","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"transformation":{"$ref":"#/components/schemas/common-data_import-Transformation"}},"required":["transformation"]},"common-data_import-Transformation":{"description":"Gibt an, wie der Wert für target erzeugt wird.","properties":{"type":{"type":"string","description":"Typ der Transformation","enum":["DIRECT","CONCAT","TRIM","UPPER_CASE","LOWER_CASE","REPLACE","REGEX_REPLACE","FIXED_VALUE","COALESCE","ROW_INDEX","GET_AT_INDEX","ITERATE","GROUP_TO_OBJECT","MODULE_SPECIFIC"]},"children":{"type":"array","description":"Sub-Transformationen als Input für die Transformation","items":{"$ref":"#/components/schemas/common-data_import-Transformation"}},"columnName":{"type":"string","description":"für DIRECT, GET_AT_INDEX & ITERATE: Spalte, aus der die Daten entnommen werden sollen"},"fixedValue":{"type":"string","description":"für FIXED_VALUE: Wert"},"replacements":{"type":"array","description":"für REPLACE: Ersetzungen","items":{"$ref":"#/components/schemas/common-data_import-Transformation.Replacement"}},"matchWholeFieldsOnly":{"type":"boolean","description":"für REPLACE: Ersetzung nur, wenn der gesamte Wert übereinstimmt, keine Substrings"},"regexSearch":{"type":"string","description":"für REGEX_REPLACE: Der Reguläre Ausdruck, nach dem gesucht wird"},"regexReplacement":{"type":"string","description":"für REGEX_REPLACE: Die Ersetzung, die für den Regex durchgeführt wird"},"caseSensitive":{"type":"boolean","description":"für (REGEX_)REPLACE: Nur ersetzen, wenn Groß-/Kleinschreibung passt?"},"useDefaultValueForReplacement":{"type":"boolean","default":false,"description":"für REPLACE mit matchWholeFieldsOnly:Soll durch den default-Wert ersetzt werden, wenn kein Ausdruck passt?"},"defaultValue":{"type":"string","description":"für REPLACE mit matchWholeFieldsOnly: Ersetzung, wenn kein Ausdruck passt"},"index":{"type":"integer","format":"int32","description":"für GET_AT_INDEX: Das wievielte Element des Array wollen wir? (0-basierter Index)"},"target":{"type":"string","description":"Ziel, wohin das Transformationsergebnis geschrieben wird"},"formatDirective":{"$ref":"#/components/schemas/common-data_import-FormatDirective"},"moduleSpecificTransformationKey":{"type":"string","description":"Key für Sonder-Transformationen"},"suppressFailures":{"type":"boolean","description":"für Sonder-Transformationen: Wenn ein Fehler auftritt ignorieren und null verwenden?"},"auxiliaryTransformation":{"type":"boolean","default":false,"description":"Hilfs-Transformation ohne echtes Mapping-Target?"},"dataType":{"type":"string","description":"für Hilfs-Transformationen: Datentyp"}},"required":["type"]},"common-data_import-Transformation.Replacement":{"description":"für REPLACE: Ersetzungen","properties":{"from":{"type":"string","description":"zu ersetzende Zeichenkette"},"to":{"type":"string","description":"Ersatz für die Zeichenkette"}},"required":["from"]},"common-data_import-FormatDirective":{"description":"Standard-Format für Wahrheitswerte","properties":{"formatType":{"type":"string","description":"Für welchen Datentyp ist diese Formatierung gedacht","enum":["NUMERIC","DATE","DATETIME","BOOLEAN"]},"patternString":{"type":"string","description":"Für DATE & DATETIME: Ein Muster zum parsen"},"groupingSign":{"type":"string","description":"Das Tausender-Trennzeichen für Zahlwerte"},"decimalSign":{"type":"string","description":"Das Dezimal-Trennzeichen für Zahlwerte"},"representationForTrue":{"type":"string","description":"Ein Text, der als boolescher Wert für true steht (Beispielsweise 'J')"},"representationForFalse":{"type":"string","description":"Ein Text, der als boolescher Wert für false steht (Beispielsweise 'N')"}},"required":["formatType"]},"common-data_import-TargetFieldRule":{"description":"Gibt an, wie mit Zielfeldern und Unterobjekten umgegangen werden soll.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"path":{"type":"string","description":"Pfad zu dem Unterobjekt / Feld"},"lookupFields":{"type":"array","description":"Anhand welcher Felder soll das Objekt identifiziert werden? Nur für LOAD_OR_INSERT, UPDATE und UPSERT.","items":{"type":"string","description":"Anhand welcher Felder soll das Objekt identifiziert werden? Nur für LOAD_OR_INSERT, UPDATE und UPSERT."}},"policy":{"type":"string","description":"Wie soll mit Unterobjekten umgegangen werden?","enum":["LOAD","INSERT","INSERT_FACTORY","UPSERT","UPDATE","LOAD_OR_INSERT","LOAD_OR_IGNORE"]},"nullValueHandlingStrategy":{"type":"string","description":"Wie soll mit einem Null-Wert verfahren werden?","enum":["IGNORE","OVERRIDE"]},"ignoreRules":{"type":"array","description":"Bedingungen, unter denen das zu importierende Objekt ignoriert werden soll","items":{"$ref":"#/components/schemas/common-data_import-IgnoreRule"}}},"required":["path"]},"common-data_import-IgnoreRule":{"description":"Bedingungen, unter denen das zu importierende Objekt ignoriert werden soll","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"comparisonType":{"type":"string","description":"Der Vergleichsoperator","enum":["IS_NULL","IS_NOT_NULL","EQUALS","NOT_EQUALS","STARTS_WITH","ENDS_WITH","CONTAINS","NOT_CONTAINS","GREATER_THAN","GREATER_THAN_EQUALS","LESS_THAN","LESS_THAN_EQUALS"]},"matchingType":{"type":"string","description":"Schlagen wir fehl bei einmaliger Übereinstimmung oder müssen alle Werte übereinstimmen?","enum":["ANY_MATCH","ALL_MATCH"]},"comparisonValue":{"type":"string","description":"Wert, der zum Ausschluss führen soll"},"fieldToCompare":{"type":"string","description":"Mit dem Wert aus welchem Feld soll verglichen Werden?"}}},"core-api-ApiObjectReference":{"description":"Related account","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]},"common-data_import-ImportMappingRuleSetParameter":{"description":"Parameter zu einem Import-Rule-Set","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"name":{"type":"string","description":"Name des Parameters","maxLength":255,"minLength":0},"requiredValueType":{"type":"string","description":"Typ des Parameters, falls er z.B. durch ein Skript-Modul vorgegeben wurde","maxLength":255,"minLength":0,"readOnly":true},"fixedValue":{"type":"string","description":"Fester Wert (nur in Kombination mit fixedValueType)","maxLength":255,"minLength":0},"fixedValueType":{"type":"string","description":"Datentyp vom festen Wert (nur in Kombination mit fixedValue)","maxLength":255,"minLength":0},"queryPresetRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"variableMapping":{"type":"object","additionalProperties":{"type":"string","description":"Mapping von Query-Variable (Key) zu Attributpfaden in den Importdaten (Value)"},"description":"Mapping von Query-Variable (Key) zu Attributpfaden in den Importdaten (Value)"},"attributePath":{"type":"string","description":"Pfad zu einem Attribut innerhalb der Query aus queryPresetRef"}},"required":["name"]},"common-data_import-ExportSetting":{"description":"Wenn ein Dateiexport-Modul ausgewählt wurde: Export-Einstellungen","properties":{"fileName":{"type":"string","description":"Dateiname ohne Dateinamenserweiterung"},"charset":{"type":"string","default":"UTF_8_BOM","description":"Zeichensatz","enum":["UTF_8","UTF_8_BOM","ASCII","LATIN_1"]},"csvSetting":{"$ref":"#/components/schemas/common-data_import-CsvExportSetting"},"jsonSetting":{"$ref":"#/components/schemas/common-data_import-JsonExportSetting"},"xmlSetting":{"$ref":"#/components/schemas/common-data_import-XmlExportSetting"}},"required":["charset","fileName"]},"common-data_import-CsvExportSetting":{"description":"Einstellungen für CSV-Export","properties":{"targetFieldDefinitions":{"type":"array","description":"Spaltendefinitionen (in korrekter Reihenfolge)","items":{"type":"string","description":"Spaltendefinitionen (in korrekter Reihenfolge)"}},"columnSeparator":{"type":"string","default":";","description":"Spaltentrenner","maxLength":1,"minLength":1},"quotingChar":{"type":"string","default":"\"","description":"Quotierungszeichen","maxLength":1,"minLength":1},"writeHeaderLine":{"type":"boolean","default":true,"description":"Kopfzeile schreiben?"},"linebreakType":{"type":"string","default":"CR_LF","description":"Art des Zeilenumbruchs","enum":["CR_LF","CR","LF"]}},"required":["columnSeparator","linebreakType","quotingChar","targetFieldDefinitions"]},"common-data_import-JsonExportSetting":{"description":"Einstellungen für JSON-Export","properties":{"rootFieldDefinitions":{"type":"array","description":"Feld-Definitionen der JSON","items":{"$ref":"#/components/schemas/common-data_import-JsonExportSetting.FieldDefinition"}},"prettyPrint":{"type":"boolean","default":false,"description":"soll die JSON schön formatiert werden (speicherintensiver)"},"linebreakType":{"type":"string","default":"CR_LF","description":"Art des Zeilenumbruchs","enum":["CR_LF","CR","LF"]}},"required":["rootFieldDefinitions"]},"common-data_import-JsonExportSetting.FieldDefinition":{"description":"Feld-Definitionen der JSON","properties":{"name":{"type":"string","description":"Feld-Name"},"type":{"type":"string","description":"Datentyp für das Feld","enum":["TEXT","NUMBER","BOOLEAN","DATE","DATE_TIME","OBJECT"]},"children":{"type":"array","description":"Bei Objekten: Felder innerhalb des Objekts","items":{"$ref":"#/components/schemas/common-data_import-JsonExportSetting.FieldDefinition"}},"array":{"type":"boolean","default":false,"description":"Handelt es sich bei dem Feld um ein Array?"}},"required":["name","type"]},"common-data_import-XmlExportSetting":{"description":"Einstellungen für XML-Export","properties":{"rootTagName":{"type":"string","description":"Root-Element der XML"},"entryRootDefinition":{"$ref":"#/components/schemas/common-data_import-XmlExportSetting.FieldDefinition"},"prettyPrint":{"type":"boolean","default":false,"description":"soll die XML schön formatiert werden (braucht mehr Speicher)"},"writeXmlDeclaration":{"type":"boolean","default":true,"description":"XML-Deklaration am Dateianfang einfügen"}},"required":["entryRootDefinition","rootTagName"]},"common-data_import-XmlExportSetting.FieldDefinition":{"description":"Struktur der einzelnen Datensätze","properties":{"name":{"type":"string","description":"Name eines XML-Tags"},"attributes":{"type":"array","description":"Attribute innerhalb des Tags","items":{"type":"string","description":"Attribute innerhalb des Tags"}},"childTags":{"type":"array","description":"optional: Tags innerhalb dieses Tags","items":{"$ref":"#/components/schemas/common-data_import-XmlExportSetting.FieldDefinition"}}},"required":["name"]},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Zu verwendende Search-Dialogs","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Zu verwendende Search-Dialogs","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Schlüssel für das Ergebnis vom Search-Dialog","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search-Dialog"}}}}
```

## PUT /cmn/data-import/rule-sets/{id}

> Update existing Resource&#x20;

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"ImportRuleSet","description":"Import-Regelwerke"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/cmn/data-import/rule-sets/{id}":{"put":{"tags":["ImportRuleSet"],"summary":"Update existing Resource ","operationId":"update_131","parameters":[{"name":"id","in":"path","description":"an identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/common-data_import-ImportMappingRuleSet"}}},"required":true},"responses":{"200":{"description":"successful operation","content":{"*/*":{"schema":{"$ref":"#/components/schemas/common-data_import-ImportMappingRuleSet"}}}},"404":{"description":"Resource was not found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}},"422":{"description":"Resource was not valid to process","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"common-data_import-ImportMappingRuleSet":{"description":"Regelsatz für den Import-Vorgang","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"mode":{"type":"string","description":"Modus","enum":["SCRIPT","IMPORT","EXPORT"]},"label":{"type":"string","description":"Eindeutiges Label"},"root":{"type":"string","description":"Bei JSON- und XML-Import: Ab welchem Pfad beginnen die Import-Daten?"},"rules":{"type":"array","description":"Mapping-Regeln","items":{"$ref":"#/components/schemas/common-data_import-ImportMappingRule"}},"importModuleKey":{"type":"string","description":"Für welchen Import gilt dieser Regelsatz"},"dataFrom":{"type":"integer","format":"int64","description":"Index des ersten Datensatzes (1-basiert) - alle vorherigen werden ignoriert"},"dataTo":{"type":"integer","format":"int64","description":"Index des letzten Datensatzes (1-basiert) - alle danach werden ignoriert"},"headerIndex":{"type":"integer","format":"int64","description":"Falls vorhanden: Index der Kopfzeile (1-basiert)"},"columnSeparator":{"type":"string","description":"Nur für CSV: Trennzeichen innerhalb einer Zeile"},"charSet":{"type":"string","description":"Für CSV & JSON: Verwendeter Zeichensatz","enum":["UTF_8","ASCII","LATIN_1","AUTO_DETECT"]},"quotingChar":{"type":"string","description":"Nur für CSV: Zeichen um ein Textfeld zu quoten (i.d.R. ' oder \")"},"targetFieldRules":{"type":"array","description":"Gibt an, wie mit Zielfeldern und Unterobjekten umgegangen werden soll.","items":{"$ref":"#/components/schemas/common-data_import-TargetFieldRule"}},"createRulesForEavGroup":{"type":"string","description":"Gibt an, dass für eine Eav-Gruppe bei der Ausführung Regeln erzeugt werden sollen."},"defaultDateFormatDirective":{"$ref":"#/components/schemas/common-data_import-FormatDirective"},"defaultDateTimeFormatDirective":{"$ref":"#/components/schemas/common-data_import-FormatDirective"},"defaultNumberFormatDirective":{"$ref":"#/components/schemas/common-data_import-FormatDirective"},"defaultBooleanFormatDirective":{"$ref":"#/components/schemas/common-data_import-FormatDirective"},"script":{"type":"string","description":"Falls Mode == SCRIPT: auszuführendes Skript. Nur Skript oder Skript-Modul darf gesetzt sein"},"scriptModuleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"parameters":{"type":"array","description":"Parameter zum Skript","items":{"$ref":"#/components/schemas/common-data_import-ImportMappingRuleSetParameter"}},"advancedUi":{"type":"boolean","default":false,"description":"Erweiterte Darstellung im UI verwenden?"},"ignoreEmptyData":{"type":"boolean","default":false,"description":"Bei JSON-Import: Leere Datenmenge ignorieren?"},"exportSetting":{"$ref":"#/components/schemas/common-data_import-ExportSetting"},"suppressWebhooks":{"type":"boolean","default":false,"description":"Sollen Webhooks bei Ausführung deaktiviert werden?"},"suppressWorkflows":{"type":"boolean","default":false,"description":"Sollen Workflows bei Ausführung deaktiviert werden?"}},"required":["mode"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"common-data_import-ImportMappingRule":{"description":"Mapping-Regeln","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"transformation":{"$ref":"#/components/schemas/common-data_import-Transformation"}},"required":["transformation"]},"common-data_import-Transformation":{"description":"Gibt an, wie der Wert für target erzeugt wird.","properties":{"type":{"type":"string","description":"Typ der Transformation","enum":["DIRECT","CONCAT","TRIM","UPPER_CASE","LOWER_CASE","REPLACE","REGEX_REPLACE","FIXED_VALUE","COALESCE","ROW_INDEX","GET_AT_INDEX","ITERATE","GROUP_TO_OBJECT","MODULE_SPECIFIC"]},"children":{"type":"array","description":"Sub-Transformationen als Input für die Transformation","items":{"$ref":"#/components/schemas/common-data_import-Transformation"}},"columnName":{"type":"string","description":"für DIRECT, GET_AT_INDEX & ITERATE: Spalte, aus der die Daten entnommen werden sollen"},"fixedValue":{"type":"string","description":"für FIXED_VALUE: Wert"},"replacements":{"type":"array","description":"für REPLACE: Ersetzungen","items":{"$ref":"#/components/schemas/common-data_import-Transformation.Replacement"}},"matchWholeFieldsOnly":{"type":"boolean","description":"für REPLACE: Ersetzung nur, wenn der gesamte Wert übereinstimmt, keine Substrings"},"regexSearch":{"type":"string","description":"für REGEX_REPLACE: Der Reguläre Ausdruck, nach dem gesucht wird"},"regexReplacement":{"type":"string","description":"für REGEX_REPLACE: Die Ersetzung, die für den Regex durchgeführt wird"},"caseSensitive":{"type":"boolean","description":"für (REGEX_)REPLACE: Nur ersetzen, wenn Groß-/Kleinschreibung passt?"},"useDefaultValueForReplacement":{"type":"boolean","default":false,"description":"für REPLACE mit matchWholeFieldsOnly:Soll durch den default-Wert ersetzt werden, wenn kein Ausdruck passt?"},"defaultValue":{"type":"string","description":"für REPLACE mit matchWholeFieldsOnly: Ersetzung, wenn kein Ausdruck passt"},"index":{"type":"integer","format":"int32","description":"für GET_AT_INDEX: Das wievielte Element des Array wollen wir? (0-basierter Index)"},"target":{"type":"string","description":"Ziel, wohin das Transformationsergebnis geschrieben wird"},"formatDirective":{"$ref":"#/components/schemas/common-data_import-FormatDirective"},"moduleSpecificTransformationKey":{"type":"string","description":"Key für Sonder-Transformationen"},"suppressFailures":{"type":"boolean","description":"für Sonder-Transformationen: Wenn ein Fehler auftritt ignorieren und null verwenden?"},"auxiliaryTransformation":{"type":"boolean","default":false,"description":"Hilfs-Transformation ohne echtes Mapping-Target?"},"dataType":{"type":"string","description":"für Hilfs-Transformationen: Datentyp"}},"required":["type"]},"common-data_import-Transformation.Replacement":{"description":"für REPLACE: Ersetzungen","properties":{"from":{"type":"string","description":"zu ersetzende Zeichenkette"},"to":{"type":"string","description":"Ersatz für die Zeichenkette"}},"required":["from"]},"common-data_import-FormatDirective":{"description":"Standard-Format für Wahrheitswerte","properties":{"formatType":{"type":"string","description":"Für welchen Datentyp ist diese Formatierung gedacht","enum":["NUMERIC","DATE","DATETIME","BOOLEAN"]},"patternString":{"type":"string","description":"Für DATE & DATETIME: Ein Muster zum parsen"},"groupingSign":{"type":"string","description":"Das Tausender-Trennzeichen für Zahlwerte"},"decimalSign":{"type":"string","description":"Das Dezimal-Trennzeichen für Zahlwerte"},"representationForTrue":{"type":"string","description":"Ein Text, der als boolescher Wert für true steht (Beispielsweise 'J')"},"representationForFalse":{"type":"string","description":"Ein Text, der als boolescher Wert für false steht (Beispielsweise 'N')"}},"required":["formatType"]},"common-data_import-TargetFieldRule":{"description":"Gibt an, wie mit Zielfeldern und Unterobjekten umgegangen werden soll.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"path":{"type":"string","description":"Pfad zu dem Unterobjekt / Feld"},"lookupFields":{"type":"array","description":"Anhand welcher Felder soll das Objekt identifiziert werden? Nur für LOAD_OR_INSERT, UPDATE und UPSERT.","items":{"type":"string","description":"Anhand welcher Felder soll das Objekt identifiziert werden? Nur für LOAD_OR_INSERT, UPDATE und UPSERT."}},"policy":{"type":"string","description":"Wie soll mit Unterobjekten umgegangen werden?","enum":["LOAD","INSERT","INSERT_FACTORY","UPSERT","UPDATE","LOAD_OR_INSERT","LOAD_OR_IGNORE"]},"nullValueHandlingStrategy":{"type":"string","description":"Wie soll mit einem Null-Wert verfahren werden?","enum":["IGNORE","OVERRIDE"]},"ignoreRules":{"type":"array","description":"Bedingungen, unter denen das zu importierende Objekt ignoriert werden soll","items":{"$ref":"#/components/schemas/common-data_import-IgnoreRule"}}},"required":["path"]},"common-data_import-IgnoreRule":{"description":"Bedingungen, unter denen das zu importierende Objekt ignoriert werden soll","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"comparisonType":{"type":"string","description":"Der Vergleichsoperator","enum":["IS_NULL","IS_NOT_NULL","EQUALS","NOT_EQUALS","STARTS_WITH","ENDS_WITH","CONTAINS","NOT_CONTAINS","GREATER_THAN","GREATER_THAN_EQUALS","LESS_THAN","LESS_THAN_EQUALS"]},"matchingType":{"type":"string","description":"Schlagen wir fehl bei einmaliger Übereinstimmung oder müssen alle Werte übereinstimmen?","enum":["ANY_MATCH","ALL_MATCH"]},"comparisonValue":{"type":"string","description":"Wert, der zum Ausschluss führen soll"},"fieldToCompare":{"type":"string","description":"Mit dem Wert aus welchem Feld soll verglichen Werden?"}}},"core-api-ApiObjectReference":{"description":"Related account","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]},"common-data_import-ImportMappingRuleSetParameter":{"description":"Parameter zu einem Import-Rule-Set","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"name":{"type":"string","description":"Name des Parameters","maxLength":255,"minLength":0},"requiredValueType":{"type":"string","description":"Typ des Parameters, falls er z.B. durch ein Skript-Modul vorgegeben wurde","maxLength":255,"minLength":0,"readOnly":true},"fixedValue":{"type":"string","description":"Fester Wert (nur in Kombination mit fixedValueType)","maxLength":255,"minLength":0},"fixedValueType":{"type":"string","description":"Datentyp vom festen Wert (nur in Kombination mit fixedValue)","maxLength":255,"minLength":0},"queryPresetRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"variableMapping":{"type":"object","additionalProperties":{"type":"string","description":"Mapping von Query-Variable (Key) zu Attributpfaden in den Importdaten (Value)"},"description":"Mapping von Query-Variable (Key) zu Attributpfaden in den Importdaten (Value)"},"attributePath":{"type":"string","description":"Pfad zu einem Attribut innerhalb der Query aus queryPresetRef"}},"required":["name"]},"common-data_import-ExportSetting":{"description":"Wenn ein Dateiexport-Modul ausgewählt wurde: Export-Einstellungen","properties":{"fileName":{"type":"string","description":"Dateiname ohne Dateinamenserweiterung"},"charset":{"type":"string","default":"UTF_8_BOM","description":"Zeichensatz","enum":["UTF_8","UTF_8_BOM","ASCII","LATIN_1"]},"csvSetting":{"$ref":"#/components/schemas/common-data_import-CsvExportSetting"},"jsonSetting":{"$ref":"#/components/schemas/common-data_import-JsonExportSetting"},"xmlSetting":{"$ref":"#/components/schemas/common-data_import-XmlExportSetting"}},"required":["charset","fileName"]},"common-data_import-CsvExportSetting":{"description":"Einstellungen für CSV-Export","properties":{"targetFieldDefinitions":{"type":"array","description":"Spaltendefinitionen (in korrekter Reihenfolge)","items":{"type":"string","description":"Spaltendefinitionen (in korrekter Reihenfolge)"}},"columnSeparator":{"type":"string","default":";","description":"Spaltentrenner","maxLength":1,"minLength":1},"quotingChar":{"type":"string","default":"\"","description":"Quotierungszeichen","maxLength":1,"minLength":1},"writeHeaderLine":{"type":"boolean","default":true,"description":"Kopfzeile schreiben?"},"linebreakType":{"type":"string","default":"CR_LF","description":"Art des Zeilenumbruchs","enum":["CR_LF","CR","LF"]}},"required":["columnSeparator","linebreakType","quotingChar","targetFieldDefinitions"]},"common-data_import-JsonExportSetting":{"description":"Einstellungen für JSON-Export","properties":{"rootFieldDefinitions":{"type":"array","description":"Feld-Definitionen der JSON","items":{"$ref":"#/components/schemas/common-data_import-JsonExportSetting.FieldDefinition"}},"prettyPrint":{"type":"boolean","default":false,"description":"soll die JSON schön formatiert werden (speicherintensiver)"},"linebreakType":{"type":"string","default":"CR_LF","description":"Art des Zeilenumbruchs","enum":["CR_LF","CR","LF"]}},"required":["rootFieldDefinitions"]},"common-data_import-JsonExportSetting.FieldDefinition":{"description":"Feld-Definitionen der JSON","properties":{"name":{"type":"string","description":"Feld-Name"},"type":{"type":"string","description":"Datentyp für das Feld","enum":["TEXT","NUMBER","BOOLEAN","DATE","DATE_TIME","OBJECT"]},"children":{"type":"array","description":"Bei Objekten: Felder innerhalb des Objekts","items":{"$ref":"#/components/schemas/common-data_import-JsonExportSetting.FieldDefinition"}},"array":{"type":"boolean","default":false,"description":"Handelt es sich bei dem Feld um ein Array?"}},"required":["name","type"]},"common-data_import-XmlExportSetting":{"description":"Einstellungen für XML-Export","properties":{"rootTagName":{"type":"string","description":"Root-Element der XML"},"entryRootDefinition":{"$ref":"#/components/schemas/common-data_import-XmlExportSetting.FieldDefinition"},"prettyPrint":{"type":"boolean","default":false,"description":"soll die XML schön formatiert werden (braucht mehr Speicher)"},"writeXmlDeclaration":{"type":"boolean","default":true,"description":"XML-Deklaration am Dateianfang einfügen"}},"required":["entryRootDefinition","rootTagName"]},"common-data_import-XmlExportSetting.FieldDefinition":{"description":"Struktur der einzelnen Datensätze","properties":{"name":{"type":"string","description":"Name eines XML-Tags"},"attributes":{"type":"array","description":"Attribute innerhalb des Tags","items":{"type":"string","description":"Attribute innerhalb des Tags"}},"childTags":{"type":"array","description":"optional: Tags innerhalb dieses Tags","items":{"$ref":"#/components/schemas/common-data_import-XmlExportSetting.FieldDefinition"}}},"required":["name"]},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Zu verwendende Search-Dialogs","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Zu verwendende Search-Dialogs","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Schlüssel für das Ergebnis vom Search-Dialog","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search-Dialog"}}}}
```

## DELETE /cmn/data-import/rule-sets/{id}

> Delete an existing Resource

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"ImportRuleSet","description":"Import-Regelwerke"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/cmn/data-import/rule-sets/{id}":{"delete":{"tags":["ImportRuleSet"],"summary":"Delete an existing Resource","operationId":"delete_116","parameters":[{"name":"id","in":"path","description":"an identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"successful operation","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}},"404":{"description":"Resource was not found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}},"409":{"description":"unable to delete Resource, due to constraints, existing references or internal state","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}}}}}},"components":{"schemas":{"core-api-OperationMessage":{"properties":{"context":{"type":"string","description":"message context"},"messageValue":{"type":"string","description":" message"}}},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Zu verwendende Search-Dialogs","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Zu verwendende Search-Dialogs","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Schlüssel für das Ergebnis vom Search-Dialog","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search-Dialog"}}}}
```

## POST /cmn/data-import/rule-sets

> Create new Resource

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"ImportRuleSet","description":"Import-Regelwerke"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/cmn/data-import/rule-sets":{"post":{"tags":["ImportRuleSet"],"summary":"Create new Resource","operationId":"create_119","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/common-data_import-ImportMappingRuleSet"}}},"required":true},"responses":{"200":{"description":"successful operation","content":{"*/*":{"schema":{"$ref":"#/components/schemas/common-data_import-ImportMappingRuleSet"}}}},"422":{"description":"Resource was not valid to process","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"common-data_import-ImportMappingRuleSet":{"description":"Regelsatz für den Import-Vorgang","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"mode":{"type":"string","description":"Modus","enum":["SCRIPT","IMPORT","EXPORT"]},"label":{"type":"string","description":"Eindeutiges Label"},"root":{"type":"string","description":"Bei JSON- und XML-Import: Ab welchem Pfad beginnen die Import-Daten?"},"rules":{"type":"array","description":"Mapping-Regeln","items":{"$ref":"#/components/schemas/common-data_import-ImportMappingRule"}},"importModuleKey":{"type":"string","description":"Für welchen Import gilt dieser Regelsatz"},"dataFrom":{"type":"integer","format":"int64","description":"Index des ersten Datensatzes (1-basiert) - alle vorherigen werden ignoriert"},"dataTo":{"type":"integer","format":"int64","description":"Index des letzten Datensatzes (1-basiert) - alle danach werden ignoriert"},"headerIndex":{"type":"integer","format":"int64","description":"Falls vorhanden: Index der Kopfzeile (1-basiert)"},"columnSeparator":{"type":"string","description":"Nur für CSV: Trennzeichen innerhalb einer Zeile"},"charSet":{"type":"string","description":"Für CSV & JSON: Verwendeter Zeichensatz","enum":["UTF_8","ASCII","LATIN_1","AUTO_DETECT"]},"quotingChar":{"type":"string","description":"Nur für CSV: Zeichen um ein Textfeld zu quoten (i.d.R. ' oder \")"},"targetFieldRules":{"type":"array","description":"Gibt an, wie mit Zielfeldern und Unterobjekten umgegangen werden soll.","items":{"$ref":"#/components/schemas/common-data_import-TargetFieldRule"}},"createRulesForEavGroup":{"type":"string","description":"Gibt an, dass für eine Eav-Gruppe bei der Ausführung Regeln erzeugt werden sollen."},"defaultDateFormatDirective":{"$ref":"#/components/schemas/common-data_import-FormatDirective"},"defaultDateTimeFormatDirective":{"$ref":"#/components/schemas/common-data_import-FormatDirective"},"defaultNumberFormatDirective":{"$ref":"#/components/schemas/common-data_import-FormatDirective"},"defaultBooleanFormatDirective":{"$ref":"#/components/schemas/common-data_import-FormatDirective"},"script":{"type":"string","description":"Falls Mode == SCRIPT: auszuführendes Skript. Nur Skript oder Skript-Modul darf gesetzt sein"},"scriptModuleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"parameters":{"type":"array","description":"Parameter zum Skript","items":{"$ref":"#/components/schemas/common-data_import-ImportMappingRuleSetParameter"}},"advancedUi":{"type":"boolean","default":false,"description":"Erweiterte Darstellung im UI verwenden?"},"ignoreEmptyData":{"type":"boolean","default":false,"description":"Bei JSON-Import: Leere Datenmenge ignorieren?"},"exportSetting":{"$ref":"#/components/schemas/common-data_import-ExportSetting"},"suppressWebhooks":{"type":"boolean","default":false,"description":"Sollen Webhooks bei Ausführung deaktiviert werden?"},"suppressWorkflows":{"type":"boolean","default":false,"description":"Sollen Workflows bei Ausführung deaktiviert werden?"}},"required":["mode"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"common-data_import-ImportMappingRule":{"description":"Mapping-Regeln","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"transformation":{"$ref":"#/components/schemas/common-data_import-Transformation"}},"required":["transformation"]},"common-data_import-Transformation":{"description":"Gibt an, wie der Wert für target erzeugt wird.","properties":{"type":{"type":"string","description":"Typ der Transformation","enum":["DIRECT","CONCAT","TRIM","UPPER_CASE","LOWER_CASE","REPLACE","REGEX_REPLACE","FIXED_VALUE","COALESCE","ROW_INDEX","GET_AT_INDEX","ITERATE","GROUP_TO_OBJECT","MODULE_SPECIFIC"]},"children":{"type":"array","description":"Sub-Transformationen als Input für die Transformation","items":{"$ref":"#/components/schemas/common-data_import-Transformation"}},"columnName":{"type":"string","description":"für DIRECT, GET_AT_INDEX & ITERATE: Spalte, aus der die Daten entnommen werden sollen"},"fixedValue":{"type":"string","description":"für FIXED_VALUE: Wert"},"replacements":{"type":"array","description":"für REPLACE: Ersetzungen","items":{"$ref":"#/components/schemas/common-data_import-Transformation.Replacement"}},"matchWholeFieldsOnly":{"type":"boolean","description":"für REPLACE: Ersetzung nur, wenn der gesamte Wert übereinstimmt, keine Substrings"},"regexSearch":{"type":"string","description":"für REGEX_REPLACE: Der Reguläre Ausdruck, nach dem gesucht wird"},"regexReplacement":{"type":"string","description":"für REGEX_REPLACE: Die Ersetzung, die für den Regex durchgeführt wird"},"caseSensitive":{"type":"boolean","description":"für (REGEX_)REPLACE: Nur ersetzen, wenn Groß-/Kleinschreibung passt?"},"useDefaultValueForReplacement":{"type":"boolean","default":false,"description":"für REPLACE mit matchWholeFieldsOnly:Soll durch den default-Wert ersetzt werden, wenn kein Ausdruck passt?"},"defaultValue":{"type":"string","description":"für REPLACE mit matchWholeFieldsOnly: Ersetzung, wenn kein Ausdruck passt"},"index":{"type":"integer","format":"int32","description":"für GET_AT_INDEX: Das wievielte Element des Array wollen wir? (0-basierter Index)"},"target":{"type":"string","description":"Ziel, wohin das Transformationsergebnis geschrieben wird"},"formatDirective":{"$ref":"#/components/schemas/common-data_import-FormatDirective"},"moduleSpecificTransformationKey":{"type":"string","description":"Key für Sonder-Transformationen"},"suppressFailures":{"type":"boolean","description":"für Sonder-Transformationen: Wenn ein Fehler auftritt ignorieren und null verwenden?"},"auxiliaryTransformation":{"type":"boolean","default":false,"description":"Hilfs-Transformation ohne echtes Mapping-Target?"},"dataType":{"type":"string","description":"für Hilfs-Transformationen: Datentyp"}},"required":["type"]},"common-data_import-Transformation.Replacement":{"description":"für REPLACE: Ersetzungen","properties":{"from":{"type":"string","description":"zu ersetzende Zeichenkette"},"to":{"type":"string","description":"Ersatz für die Zeichenkette"}},"required":["from"]},"common-data_import-FormatDirective":{"description":"Standard-Format für Wahrheitswerte","properties":{"formatType":{"type":"string","description":"Für welchen Datentyp ist diese Formatierung gedacht","enum":["NUMERIC","DATE","DATETIME","BOOLEAN"]},"patternString":{"type":"string","description":"Für DATE & DATETIME: Ein Muster zum parsen"},"groupingSign":{"type":"string","description":"Das Tausender-Trennzeichen für Zahlwerte"},"decimalSign":{"type":"string","description":"Das Dezimal-Trennzeichen für Zahlwerte"},"representationForTrue":{"type":"string","description":"Ein Text, der als boolescher Wert für true steht (Beispielsweise 'J')"},"representationForFalse":{"type":"string","description":"Ein Text, der als boolescher Wert für false steht (Beispielsweise 'N')"}},"required":["formatType"]},"common-data_import-TargetFieldRule":{"description":"Gibt an, wie mit Zielfeldern und Unterobjekten umgegangen werden soll.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"path":{"type":"string","description":"Pfad zu dem Unterobjekt / Feld"},"lookupFields":{"type":"array","description":"Anhand welcher Felder soll das Objekt identifiziert werden? Nur für LOAD_OR_INSERT, UPDATE und UPSERT.","items":{"type":"string","description":"Anhand welcher Felder soll das Objekt identifiziert werden? Nur für LOAD_OR_INSERT, UPDATE und UPSERT."}},"policy":{"type":"string","description":"Wie soll mit Unterobjekten umgegangen werden?","enum":["LOAD","INSERT","INSERT_FACTORY","UPSERT","UPDATE","LOAD_OR_INSERT","LOAD_OR_IGNORE"]},"nullValueHandlingStrategy":{"type":"string","description":"Wie soll mit einem Null-Wert verfahren werden?","enum":["IGNORE","OVERRIDE"]},"ignoreRules":{"type":"array","description":"Bedingungen, unter denen das zu importierende Objekt ignoriert werden soll","items":{"$ref":"#/components/schemas/common-data_import-IgnoreRule"}}},"required":["path"]},"common-data_import-IgnoreRule":{"description":"Bedingungen, unter denen das zu importierende Objekt ignoriert werden soll","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"comparisonType":{"type":"string","description":"Der Vergleichsoperator","enum":["IS_NULL","IS_NOT_NULL","EQUALS","NOT_EQUALS","STARTS_WITH","ENDS_WITH","CONTAINS","NOT_CONTAINS","GREATER_THAN","GREATER_THAN_EQUALS","LESS_THAN","LESS_THAN_EQUALS"]},"matchingType":{"type":"string","description":"Schlagen wir fehl bei einmaliger Übereinstimmung oder müssen alle Werte übereinstimmen?","enum":["ANY_MATCH","ALL_MATCH"]},"comparisonValue":{"type":"string","description":"Wert, der zum Ausschluss führen soll"},"fieldToCompare":{"type":"string","description":"Mit dem Wert aus welchem Feld soll verglichen Werden?"}}},"core-api-ApiObjectReference":{"description":"Related account","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]},"common-data_import-ImportMappingRuleSetParameter":{"description":"Parameter zu einem Import-Rule-Set","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"name":{"type":"string","description":"Name des Parameters","maxLength":255,"minLength":0},"requiredValueType":{"type":"string","description":"Typ des Parameters, falls er z.B. durch ein Skript-Modul vorgegeben wurde","maxLength":255,"minLength":0,"readOnly":true},"fixedValue":{"type":"string","description":"Fester Wert (nur in Kombination mit fixedValueType)","maxLength":255,"minLength":0},"fixedValueType":{"type":"string","description":"Datentyp vom festen Wert (nur in Kombination mit fixedValue)","maxLength":255,"minLength":0},"queryPresetRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"variableMapping":{"type":"object","additionalProperties":{"type":"string","description":"Mapping von Query-Variable (Key) zu Attributpfaden in den Importdaten (Value)"},"description":"Mapping von Query-Variable (Key) zu Attributpfaden in den Importdaten (Value)"},"attributePath":{"type":"string","description":"Pfad zu einem Attribut innerhalb der Query aus queryPresetRef"}},"required":["name"]},"common-data_import-ExportSetting":{"description":"Wenn ein Dateiexport-Modul ausgewählt wurde: Export-Einstellungen","properties":{"fileName":{"type":"string","description":"Dateiname ohne Dateinamenserweiterung"},"charset":{"type":"string","default":"UTF_8_BOM","description":"Zeichensatz","enum":["UTF_8","UTF_8_BOM","ASCII","LATIN_1"]},"csvSetting":{"$ref":"#/components/schemas/common-data_import-CsvExportSetting"},"jsonSetting":{"$ref":"#/components/schemas/common-data_import-JsonExportSetting"},"xmlSetting":{"$ref":"#/components/schemas/common-data_import-XmlExportSetting"}},"required":["charset","fileName"]},"common-data_import-CsvExportSetting":{"description":"Einstellungen für CSV-Export","properties":{"targetFieldDefinitions":{"type":"array","description":"Spaltendefinitionen (in korrekter Reihenfolge)","items":{"type":"string","description":"Spaltendefinitionen (in korrekter Reihenfolge)"}},"columnSeparator":{"type":"string","default":";","description":"Spaltentrenner","maxLength":1,"minLength":1},"quotingChar":{"type":"string","default":"\"","description":"Quotierungszeichen","maxLength":1,"minLength":1},"writeHeaderLine":{"type":"boolean","default":true,"description":"Kopfzeile schreiben?"},"linebreakType":{"type":"string","default":"CR_LF","description":"Art des Zeilenumbruchs","enum":["CR_LF","CR","LF"]}},"required":["columnSeparator","linebreakType","quotingChar","targetFieldDefinitions"]},"common-data_import-JsonExportSetting":{"description":"Einstellungen für JSON-Export","properties":{"rootFieldDefinitions":{"type":"array","description":"Feld-Definitionen der JSON","items":{"$ref":"#/components/schemas/common-data_import-JsonExportSetting.FieldDefinition"}},"prettyPrint":{"type":"boolean","default":false,"description":"soll die JSON schön formatiert werden (speicherintensiver)"},"linebreakType":{"type":"string","default":"CR_LF","description":"Art des Zeilenumbruchs","enum":["CR_LF","CR","LF"]}},"required":["rootFieldDefinitions"]},"common-data_import-JsonExportSetting.FieldDefinition":{"description":"Feld-Definitionen der JSON","properties":{"name":{"type":"string","description":"Feld-Name"},"type":{"type":"string","description":"Datentyp für das Feld","enum":["TEXT","NUMBER","BOOLEAN","DATE","DATE_TIME","OBJECT"]},"children":{"type":"array","description":"Bei Objekten: Felder innerhalb des Objekts","items":{"$ref":"#/components/schemas/common-data_import-JsonExportSetting.FieldDefinition"}},"array":{"type":"boolean","default":false,"description":"Handelt es sich bei dem Feld um ein Array?"}},"required":["name","type"]},"common-data_import-XmlExportSetting":{"description":"Einstellungen für XML-Export","properties":{"rootTagName":{"type":"string","description":"Root-Element der XML"},"entryRootDefinition":{"$ref":"#/components/schemas/common-data_import-XmlExportSetting.FieldDefinition"},"prettyPrint":{"type":"boolean","default":false,"description":"soll die XML schön formatiert werden (braucht mehr Speicher)"},"writeXmlDeclaration":{"type":"boolean","default":true,"description":"XML-Deklaration am Dateianfang einfügen"}},"required":["entryRootDefinition","rootTagName"]},"common-data_import-XmlExportSetting.FieldDefinition":{"description":"Struktur der einzelnen Datensätze","properties":{"name":{"type":"string","description":"Name eines XML-Tags"},"attributes":{"type":"array","description":"Attribute innerhalb des Tags","items":{"type":"string","description":"Attribute innerhalb des Tags"}},"childTags":{"type":"array","description":"optional: Tags innerhalb dieses Tags","items":{"$ref":"#/components/schemas/common-data_import-XmlExportSetting.FieldDefinition"}}},"required":["name"]},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Zu verwendende Search-Dialogs","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Zu verwendende Search-Dialogs","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Schlüssel für das Ergebnis vom Search-Dialog","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search-Dialog"}}}}
```

## GET /cmn/data-import/rule-sets/{id}/target-fields

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"ImportRuleSet","description":"Import-Regelwerke"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/cmn/data-import/rule-sets/{id}/target-fields":{"get":{"tags":["ImportRuleSet"],"operationId":"getAccessibleFields","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/common-data_import-BatchProcessingTargetFieldApi"}}}}}}}}},"components":{"schemas":{"common-data_import-BatchProcessingTargetFieldApi":{"properties":{"path":{"type":"string","description":"für das Mapping relavanter Pfad"},"displayName":{"type":"string","description":"Anzeigename für das Feld"},"dataType":{"$ref":"#/components/schemas/core-cunit-CuAttributeDataType"},"constraint":{"$ref":"#/components/schemas/core-cunit-CuAttributeConstraint"},"modelType":{"type":"string","description":"dynamisches oder statisches Feld?","enum":["STATIC","DYNAMIC"]}}},"core-cunit-CuAttributeDataType":{"description":"data-type für dieses Attribut (falls dataTypeIdentifier leer ist)","properties":{"identifier":{"type":"string","description":"Datentyp-identifier","readOnly":true},"jsType":{"type":"string","description":"welcher Typ ist es","readOnly":true},"objectRefIdentifier":{"type":"string","description":"bei Object_Ref: welcher Typ ist es genau","readOnly":true},"filterOptions":{"$ref":"#/components/schemas/core-cunit-CuAttributeFilterOptions"},"functions":{"type":"array","description":"welche Funktionen sind erlaubt?","items":{"type":"string","description":"welche Funktionen sind erlaubt?"},"readOnly":true},"predicateOperations":{"type":"array","description":"welche Operations sind erlaubt?","items":{"type":"string","description":"welche Operations sind erlaubt?","enum":["AND","OR","EQUALS","NOT_EQUALS","LIKE","NOT_LIKE","STARTS_WITH","ENDS_WITH","CONTAINS","NOT_CONTAINS","GREATER_THAN","GREATER_THAN_EQUALS","LESS_THAN","LESS_THAN_EQUALS","IN","NOT_IN","RANGE","NOT_RANGE","IS_NULL","IS_NOT_NULL","IS_NULL_OR_EQUALS","EXISTS","NOT_EXISTS"]},"readOnly":true}}},"core-cunit-CuAttributeFilterOptions":{"description":"CUnit Attribut Filter Optionen","properties":{"filterValues":{"type":"array","description":"Mögliche Filterwerte","items":{"type":"string","description":"Mögliche Filterwerte"}},"filterDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"multipleChoice":{"type":"boolean","default":false,"description":"Kann eine Mehrfachauswahl erfolgen?"}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search-Dialog"},"core-cunit-CuAttributeConstraint":{"description":"constraints für dieses Attribut","properties":{"minLength":{"type":"integer","format":"int32","description":"Minimal-Länge (von Zeichenketten oder Arrays)","readOnly":true},"maxLength":{"type":"integer","format":"int32","description":"Maximal-Länge (von Zeichenketten oder Arrays)","readOnly":true},"minValue":{"type":"integer","format":"int64","description":"minimaler Wert","readOnly":true},"includeMinValue":{"type":"boolean","description":"ist der minimale Wert inklusive?","readOnly":true},"maxValue":{"type":"integer","format":"int64","description":"maximaler Wert","readOnly":true},"includeMaxValue":{"type":"boolean","description":"ist der maximale Wert inklusive?","readOnly":true},"notNull":{"type":"boolean","default":false,"description":"ist der Wert 'null' verboten?","readOnly":true},"notBlank":{"type":"boolean","description":"Bei Strings: ist ein String nur aus Whitespace verboten?","readOnly":true}}}}}}
```

## GET /cmn/data-import/rule-sets/{id}/copy

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"ImportRuleSet","description":"Import-Regelwerke"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/cmn/data-import/rule-sets/{id}/copy":{"get":{"tags":["ImportRuleSet"],"operationId":"getCopy_1","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/common-data_import-ImportMappingRuleSet"}}}}}}}},"components":{"schemas":{"common-data_import-ImportMappingRuleSet":{"description":"Regelsatz für den Import-Vorgang","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"mode":{"type":"string","description":"Modus","enum":["SCRIPT","IMPORT","EXPORT"]},"label":{"type":"string","description":"Eindeutiges Label"},"root":{"type":"string","description":"Bei JSON- und XML-Import: Ab welchem Pfad beginnen die Import-Daten?"},"rules":{"type":"array","description":"Mapping-Regeln","items":{"$ref":"#/components/schemas/common-data_import-ImportMappingRule"}},"importModuleKey":{"type":"string","description":"Für welchen Import gilt dieser Regelsatz"},"dataFrom":{"type":"integer","format":"int64","description":"Index des ersten Datensatzes (1-basiert) - alle vorherigen werden ignoriert"},"dataTo":{"type":"integer","format":"int64","description":"Index des letzten Datensatzes (1-basiert) - alle danach werden ignoriert"},"headerIndex":{"type":"integer","format":"int64","description":"Falls vorhanden: Index der Kopfzeile (1-basiert)"},"columnSeparator":{"type":"string","description":"Nur für CSV: Trennzeichen innerhalb einer Zeile"},"charSet":{"type":"string","description":"Für CSV & JSON: Verwendeter Zeichensatz","enum":["UTF_8","ASCII","LATIN_1","AUTO_DETECT"]},"quotingChar":{"type":"string","description":"Nur für CSV: Zeichen um ein Textfeld zu quoten (i.d.R. ' oder \")"},"targetFieldRules":{"type":"array","description":"Gibt an, wie mit Zielfeldern und Unterobjekten umgegangen werden soll.","items":{"$ref":"#/components/schemas/common-data_import-TargetFieldRule"}},"createRulesForEavGroup":{"type":"string","description":"Gibt an, dass für eine Eav-Gruppe bei der Ausführung Regeln erzeugt werden sollen."},"defaultDateFormatDirective":{"$ref":"#/components/schemas/common-data_import-FormatDirective"},"defaultDateTimeFormatDirective":{"$ref":"#/components/schemas/common-data_import-FormatDirective"},"defaultNumberFormatDirective":{"$ref":"#/components/schemas/common-data_import-FormatDirective"},"defaultBooleanFormatDirective":{"$ref":"#/components/schemas/common-data_import-FormatDirective"},"script":{"type":"string","description":"Falls Mode == SCRIPT: auszuführendes Skript. Nur Skript oder Skript-Modul darf gesetzt sein"},"scriptModuleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"parameters":{"type":"array","description":"Parameter zum Skript","items":{"$ref":"#/components/schemas/common-data_import-ImportMappingRuleSetParameter"}},"advancedUi":{"type":"boolean","default":false,"description":"Erweiterte Darstellung im UI verwenden?"},"ignoreEmptyData":{"type":"boolean","default":false,"description":"Bei JSON-Import: Leere Datenmenge ignorieren?"},"exportSetting":{"$ref":"#/components/schemas/common-data_import-ExportSetting"},"suppressWebhooks":{"type":"boolean","default":false,"description":"Sollen Webhooks bei Ausführung deaktiviert werden?"},"suppressWorkflows":{"type":"boolean","default":false,"description":"Sollen Workflows bei Ausführung deaktiviert werden?"}},"required":["mode"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"common-data_import-ImportMappingRule":{"description":"Mapping-Regeln","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"transformation":{"$ref":"#/components/schemas/common-data_import-Transformation"}},"required":["transformation"]},"common-data_import-Transformation":{"description":"Gibt an, wie der Wert für target erzeugt wird.","properties":{"type":{"type":"string","description":"Typ der Transformation","enum":["DIRECT","CONCAT","TRIM","UPPER_CASE","LOWER_CASE","REPLACE","REGEX_REPLACE","FIXED_VALUE","COALESCE","ROW_INDEX","GET_AT_INDEX","ITERATE","GROUP_TO_OBJECT","MODULE_SPECIFIC"]},"children":{"type":"array","description":"Sub-Transformationen als Input für die Transformation","items":{"$ref":"#/components/schemas/common-data_import-Transformation"}},"columnName":{"type":"string","description":"für DIRECT, GET_AT_INDEX & ITERATE: Spalte, aus der die Daten entnommen werden sollen"},"fixedValue":{"type":"string","description":"für FIXED_VALUE: Wert"},"replacements":{"type":"array","description":"für REPLACE: Ersetzungen","items":{"$ref":"#/components/schemas/common-data_import-Transformation.Replacement"}},"matchWholeFieldsOnly":{"type":"boolean","description":"für REPLACE: Ersetzung nur, wenn der gesamte Wert übereinstimmt, keine Substrings"},"regexSearch":{"type":"string","description":"für REGEX_REPLACE: Der Reguläre Ausdruck, nach dem gesucht wird"},"regexReplacement":{"type":"string","description":"für REGEX_REPLACE: Die Ersetzung, die für den Regex durchgeführt wird"},"caseSensitive":{"type":"boolean","description":"für (REGEX_)REPLACE: Nur ersetzen, wenn Groß-/Kleinschreibung passt?"},"useDefaultValueForReplacement":{"type":"boolean","default":false,"description":"für REPLACE mit matchWholeFieldsOnly:Soll durch den default-Wert ersetzt werden, wenn kein Ausdruck passt?"},"defaultValue":{"type":"string","description":"für REPLACE mit matchWholeFieldsOnly: Ersetzung, wenn kein Ausdruck passt"},"index":{"type":"integer","format":"int32","description":"für GET_AT_INDEX: Das wievielte Element des Array wollen wir? (0-basierter Index)"},"target":{"type":"string","description":"Ziel, wohin das Transformationsergebnis geschrieben wird"},"formatDirective":{"$ref":"#/components/schemas/common-data_import-FormatDirective"},"moduleSpecificTransformationKey":{"type":"string","description":"Key für Sonder-Transformationen"},"suppressFailures":{"type":"boolean","description":"für Sonder-Transformationen: Wenn ein Fehler auftritt ignorieren und null verwenden?"},"auxiliaryTransformation":{"type":"boolean","default":false,"description":"Hilfs-Transformation ohne echtes Mapping-Target?"},"dataType":{"type":"string","description":"für Hilfs-Transformationen: Datentyp"}},"required":["type"]},"common-data_import-Transformation.Replacement":{"description":"für REPLACE: Ersetzungen","properties":{"from":{"type":"string","description":"zu ersetzende Zeichenkette"},"to":{"type":"string","description":"Ersatz für die Zeichenkette"}},"required":["from"]},"common-data_import-FormatDirective":{"description":"Standard-Format für Wahrheitswerte","properties":{"formatType":{"type":"string","description":"Für welchen Datentyp ist diese Formatierung gedacht","enum":["NUMERIC","DATE","DATETIME","BOOLEAN"]},"patternString":{"type":"string","description":"Für DATE & DATETIME: Ein Muster zum parsen"},"groupingSign":{"type":"string","description":"Das Tausender-Trennzeichen für Zahlwerte"},"decimalSign":{"type":"string","description":"Das Dezimal-Trennzeichen für Zahlwerte"},"representationForTrue":{"type":"string","description":"Ein Text, der als boolescher Wert für true steht (Beispielsweise 'J')"},"representationForFalse":{"type":"string","description":"Ein Text, der als boolescher Wert für false steht (Beispielsweise 'N')"}},"required":["formatType"]},"common-data_import-TargetFieldRule":{"description":"Gibt an, wie mit Zielfeldern und Unterobjekten umgegangen werden soll.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"path":{"type":"string","description":"Pfad zu dem Unterobjekt / Feld"},"lookupFields":{"type":"array","description":"Anhand welcher Felder soll das Objekt identifiziert werden? Nur für LOAD_OR_INSERT, UPDATE und UPSERT.","items":{"type":"string","description":"Anhand welcher Felder soll das Objekt identifiziert werden? Nur für LOAD_OR_INSERT, UPDATE und UPSERT."}},"policy":{"type":"string","description":"Wie soll mit Unterobjekten umgegangen werden?","enum":["LOAD","INSERT","INSERT_FACTORY","UPSERT","UPDATE","LOAD_OR_INSERT","LOAD_OR_IGNORE"]},"nullValueHandlingStrategy":{"type":"string","description":"Wie soll mit einem Null-Wert verfahren werden?","enum":["IGNORE","OVERRIDE"]},"ignoreRules":{"type":"array","description":"Bedingungen, unter denen das zu importierende Objekt ignoriert werden soll","items":{"$ref":"#/components/schemas/common-data_import-IgnoreRule"}}},"required":["path"]},"common-data_import-IgnoreRule":{"description":"Bedingungen, unter denen das zu importierende Objekt ignoriert werden soll","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"comparisonType":{"type":"string","description":"Der Vergleichsoperator","enum":["IS_NULL","IS_NOT_NULL","EQUALS","NOT_EQUALS","STARTS_WITH","ENDS_WITH","CONTAINS","NOT_CONTAINS","GREATER_THAN","GREATER_THAN_EQUALS","LESS_THAN","LESS_THAN_EQUALS"]},"matchingType":{"type":"string","description":"Schlagen wir fehl bei einmaliger Übereinstimmung oder müssen alle Werte übereinstimmen?","enum":["ANY_MATCH","ALL_MATCH"]},"comparisonValue":{"type":"string","description":"Wert, der zum Ausschluss führen soll"},"fieldToCompare":{"type":"string","description":"Mit dem Wert aus welchem Feld soll verglichen Werden?"}}},"core-api-ApiObjectReference":{"description":"Related account","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]},"common-data_import-ImportMappingRuleSetParameter":{"description":"Parameter zu einem Import-Rule-Set","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"name":{"type":"string","description":"Name des Parameters","maxLength":255,"minLength":0},"requiredValueType":{"type":"string","description":"Typ des Parameters, falls er z.B. durch ein Skript-Modul vorgegeben wurde","maxLength":255,"minLength":0,"readOnly":true},"fixedValue":{"type":"string","description":"Fester Wert (nur in Kombination mit fixedValueType)","maxLength":255,"minLength":0},"fixedValueType":{"type":"string","description":"Datentyp vom festen Wert (nur in Kombination mit fixedValue)","maxLength":255,"minLength":0},"queryPresetRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"variableMapping":{"type":"object","additionalProperties":{"type":"string","description":"Mapping von Query-Variable (Key) zu Attributpfaden in den Importdaten (Value)"},"description":"Mapping von Query-Variable (Key) zu Attributpfaden in den Importdaten (Value)"},"attributePath":{"type":"string","description":"Pfad zu einem Attribut innerhalb der Query aus queryPresetRef"}},"required":["name"]},"common-data_import-ExportSetting":{"description":"Wenn ein Dateiexport-Modul ausgewählt wurde: Export-Einstellungen","properties":{"fileName":{"type":"string","description":"Dateiname ohne Dateinamenserweiterung"},"charset":{"type":"string","default":"UTF_8_BOM","description":"Zeichensatz","enum":["UTF_8","UTF_8_BOM","ASCII","LATIN_1"]},"csvSetting":{"$ref":"#/components/schemas/common-data_import-CsvExportSetting"},"jsonSetting":{"$ref":"#/components/schemas/common-data_import-JsonExportSetting"},"xmlSetting":{"$ref":"#/components/schemas/common-data_import-XmlExportSetting"}},"required":["charset","fileName"]},"common-data_import-CsvExportSetting":{"description":"Einstellungen für CSV-Export","properties":{"targetFieldDefinitions":{"type":"array","description":"Spaltendefinitionen (in korrekter Reihenfolge)","items":{"type":"string","description":"Spaltendefinitionen (in korrekter Reihenfolge)"}},"columnSeparator":{"type":"string","default":";","description":"Spaltentrenner","maxLength":1,"minLength":1},"quotingChar":{"type":"string","default":"\"","description":"Quotierungszeichen","maxLength":1,"minLength":1},"writeHeaderLine":{"type":"boolean","default":true,"description":"Kopfzeile schreiben?"},"linebreakType":{"type":"string","default":"CR_LF","description":"Art des Zeilenumbruchs","enum":["CR_LF","CR","LF"]}},"required":["columnSeparator","linebreakType","quotingChar","targetFieldDefinitions"]},"common-data_import-JsonExportSetting":{"description":"Einstellungen für JSON-Export","properties":{"rootFieldDefinitions":{"type":"array","description":"Feld-Definitionen der JSON","items":{"$ref":"#/components/schemas/common-data_import-JsonExportSetting.FieldDefinition"}},"prettyPrint":{"type":"boolean","default":false,"description":"soll die JSON schön formatiert werden (speicherintensiver)"},"linebreakType":{"type":"string","default":"CR_LF","description":"Art des Zeilenumbruchs","enum":["CR_LF","CR","LF"]}},"required":["rootFieldDefinitions"]},"common-data_import-JsonExportSetting.FieldDefinition":{"description":"Feld-Definitionen der JSON","properties":{"name":{"type":"string","description":"Feld-Name"},"type":{"type":"string","description":"Datentyp für das Feld","enum":["TEXT","NUMBER","BOOLEAN","DATE","DATE_TIME","OBJECT"]},"children":{"type":"array","description":"Bei Objekten: Felder innerhalb des Objekts","items":{"$ref":"#/components/schemas/common-data_import-JsonExportSetting.FieldDefinition"}},"array":{"type":"boolean","default":false,"description":"Handelt es sich bei dem Feld um ein Array?"}},"required":["name","type"]},"common-data_import-XmlExportSetting":{"description":"Einstellungen für XML-Export","properties":{"rootTagName":{"type":"string","description":"Root-Element der XML"},"entryRootDefinition":{"$ref":"#/components/schemas/common-data_import-XmlExportSetting.FieldDefinition"},"prettyPrint":{"type":"boolean","default":false,"description":"soll die XML schön formatiert werden (braucht mehr Speicher)"},"writeXmlDeclaration":{"type":"boolean","default":true,"description":"XML-Deklaration am Dateianfang einfügen"}},"required":["entryRootDefinition","rootTagName"]},"common-data_import-XmlExportSetting.FieldDefinition":{"description":"Struktur der einzelnen Datensätze","properties":{"name":{"type":"string","description":"Name eines XML-Tags"},"attributes":{"type":"array","description":"Attribute innerhalb des Tags","items":{"type":"string","description":"Attribute innerhalb des Tags"}},"childTags":{"type":"array","description":"optional: Tags innerhalb dieses Tags","items":{"$ref":"#/components/schemas/common-data_import-XmlExportSetting.FieldDefinition"}}},"required":["name"]}}}}
```

## GET /cmn/data-import/rule-sets/module/{moduleKey}/target-fields

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"ImportRuleSet","description":"Import-Regelwerke"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/cmn/data-import/rule-sets/module/{moduleKey}/target-fields":{"get":{"tags":["ImportRuleSet"],"operationId":"getAccessibleFields_1","parameters":[{"name":"moduleKey","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/common-data_import-BatchProcessingTargetFieldApi"}}}}}}}}},"components":{"schemas":{"common-data_import-BatchProcessingTargetFieldApi":{"properties":{"path":{"type":"string","description":"für das Mapping relavanter Pfad"},"displayName":{"type":"string","description":"Anzeigename für das Feld"},"dataType":{"$ref":"#/components/schemas/core-cunit-CuAttributeDataType"},"constraint":{"$ref":"#/components/schemas/core-cunit-CuAttributeConstraint"},"modelType":{"type":"string","description":"dynamisches oder statisches Feld?","enum":["STATIC","DYNAMIC"]}}},"core-cunit-CuAttributeDataType":{"description":"data-type für dieses Attribut (falls dataTypeIdentifier leer ist)","properties":{"identifier":{"type":"string","description":"Datentyp-identifier","readOnly":true},"jsType":{"type":"string","description":"welcher Typ ist es","readOnly":true},"objectRefIdentifier":{"type":"string","description":"bei Object_Ref: welcher Typ ist es genau","readOnly":true},"filterOptions":{"$ref":"#/components/schemas/core-cunit-CuAttributeFilterOptions"},"functions":{"type":"array","description":"welche Funktionen sind erlaubt?","items":{"type":"string","description":"welche Funktionen sind erlaubt?"},"readOnly":true},"predicateOperations":{"type":"array","description":"welche Operations sind erlaubt?","items":{"type":"string","description":"welche Operations sind erlaubt?","enum":["AND","OR","EQUALS","NOT_EQUALS","LIKE","NOT_LIKE","STARTS_WITH","ENDS_WITH","CONTAINS","NOT_CONTAINS","GREATER_THAN","GREATER_THAN_EQUALS","LESS_THAN","LESS_THAN_EQUALS","IN","NOT_IN","RANGE","NOT_RANGE","IS_NULL","IS_NOT_NULL","IS_NULL_OR_EQUALS","EXISTS","NOT_EXISTS"]},"readOnly":true}}},"core-cunit-CuAttributeFilterOptions":{"description":"CUnit Attribut Filter Optionen","properties":{"filterValues":{"type":"array","description":"Mögliche Filterwerte","items":{"type":"string","description":"Mögliche Filterwerte"}},"filterDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"multipleChoice":{"type":"boolean","default":false,"description":"Kann eine Mehrfachauswahl erfolgen?"}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search-Dialog"},"core-cunit-CuAttributeConstraint":{"description":"constraints für dieses Attribut","properties":{"minLength":{"type":"integer","format":"int32","description":"Minimal-Länge (von Zeichenketten oder Arrays)","readOnly":true},"maxLength":{"type":"integer","format":"int32","description":"Maximal-Länge (von Zeichenketten oder Arrays)","readOnly":true},"minValue":{"type":"integer","format":"int64","description":"minimaler Wert","readOnly":true},"includeMinValue":{"type":"boolean","description":"ist der minimale Wert inklusive?","readOnly":true},"maxValue":{"type":"integer","format":"int64","description":"maximaler Wert","readOnly":true},"includeMaxValue":{"type":"boolean","description":"ist der maximale Wert inklusive?","readOnly":true},"notNull":{"type":"boolean","default":false,"description":"ist der Wert 'null' verboten?","readOnly":true},"notBlank":{"type":"boolean","description":"Bei Strings: ist ein String nur aus Whitespace verboten?","readOnly":true}}}}}}
```

## GET /cmn/data-import/rule-sets/importable-types

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"ImportRuleSet","description":"Import-Regelwerke"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/cmn/data-import/rule-sets/importable-types":{"get":{"tags":["ImportRuleSet"],"operationId":"getImportableTypes","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/common-data_import-ImportModuleInformation"}}}}}}}}},"components":{"schemas":{"common-data_import-ImportModuleInformation":{"properties":{"startEntityIdentifier":{"type":"string","description":"Haupt-Entity des Imports"},"key":{"type":"string","description":"Eindeutiger Schlüssel für eine Import-Art"},"subgraphs":{"type":"array","description":"Unter-Objekte, für die eine resolving strategy definiert werden kann","items":{"$ref":"#/components/schemas/common-data_import-ResolvingStrategyInformation"}},"supportsValidation":{"type":"boolean","description":"Wird der Validierungsschritt unterstützt?"},"type":{"type":"string","enum":["ENTITY_IMPORT","FILE_EXPORT"]}}},"common-data_import-ResolvingStrategyInformation":{"description":"Unter-Objekte, für die eine resolving strategy definiert werden kann","properties":{"path":{"type":"string","description":"Pfad zum Objekt"},"allowedStrategies":{"type":"array","description":"erlaubte Strategien, um das Objekt zu erzeugen","items":{"type":"string","description":"erlaubte Strategien, um das Objekt zu erzeugen","enum":["LOAD","INSERT","INSERT_FACTORY","UPSERT","UPDATE","LOAD_OR_INSERT","LOAD_OR_IGNORE"]}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.vario-software.de/api-reference/importruleset.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
